Debian Bug report logs - #499376
RFP: peazip -- file and archive manager

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: altamira <altamira0@o2.pl>

Date: Thu, 18 Sep 2008 08:21:01 UTC

Severity: wishlist

Merged with 442344

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#499376; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to altamira <altamira0@o2.pl>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: altamira <altamira0@o2.pl>
To: submit@bugs.debian.org
Subject: RFP: PeaZip -- file and archive manager
Date: Thu, 18 Sep 2008 10:13:23 +0200
Package: wnpp
Severity: wishlist

The upstream developer is distributing from
http://peazip.sourceforge.net/
and already has a .deb form.

The Gnome interface is GPL.

The package requires Inform 6, which appears not to be free software,
although I can't find a license anywhere.

* Package name    :  PeaZip
  Version         : 2.2
  Upstream Author : Giorgio  
Tani(http://giorgiotani.interfree.it/index.html)
* URL             : http://peazip.sourceforge.net/
* License         : GPL
  Programming Lang: pascal??
  Description     : PeaZip is a free, open source file and archive manager.


PeaZip allows to save archive's layouts; apply powerful multiple search  
filters to archive's content; handle multiple archives at once; export job  
definition as command line; bookmark archives and folders etc...

Other features: AES256 encryption, robust file copy, split/join files  
(file span), secure file deletion, compare, checksum and hash files,  
system benchmark, generate random passwords and keyfiles.

-- 
Using Opera's revolutionary e-mail client: http://www.opera.com/mail/




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#499376; Package wnpp. (Fri, 26 Sep 2008 10:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "giorgio.tani.software Gmail" <giorgio.tani.software@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Fri, 26 Sep 2008 10:57:05 GMT) Full text and rfc822 format available.

Message #10 received at 499376@bugs.debian.org (full text, mbox):

From: "giorgio.tani.software Gmail" <giorgio.tani.software@gmail.com>
To: 499376@bugs.debian.org
Subject: Inform 6 in PeaZip
Date: Fri, 26 Sep 2008 12:41:12 +0200
As for as I know, Inform 6 is not used in PeaZip.
PeaZip is written in FreePascal; it is compiled with Lazarus and then  
packed as rpm with RPMPM on an OpenSuse 10.3 machine, and converted to deb  
with alien on a Debian 4 machine.
I'll try to track how and when Inform 6 gets in PeaZip dependencies as  
stated in this bug report, however as for I can see about Inform 6 it is  
Open Source software even with a custom license, here are sources I found  
about Inform 6 license:
http://www.inform-fiction.org/source/index.html
http://en.wikipedia.org/wiki/Inform




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#499376; Package wnpp. (Mon, 06 Oct 2008 06:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "giorgio.tani.software Gmail" <giorgio.tani.software@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Mon, 06 Oct 2008 06:48:02 GMT) Full text and rfc822 format available.

Message #15 received at 499376@bugs.debian.org (full text, mbox):

From: "giorgio.tani.software Gmail" <giorgio.tani.software@gmail.com>
To: 499376@bugs.debian.org
Subject: Inform is not required for PeaZip
Date: Mon, 06 Oct 2008 08:45:22 +0200
I did several tests on latest PeaZip varsions after this bug report, but  
as for what I can see Inform 6 is not used nor required for PeaZip in any  
way.
Inform 6 is not used by the program itself, nor by the compiler  
(Lazarus/FreePascal, which is Open Source), and was not installed at all  
on the machines I used to build the application and the DEB, RPM and TGZ  
packages.

I've not found in the logs any note about Inform 6 being required for  
PeaZip while building the RPM package at first with RPMPM program, and  
I've neither found any note about Inform 6 while creating the DEB package  
converting the RPM with Alien (even with verbose and very verbose logging  
options).
As expected, Inform 6 was not listed in dependencies, neither in the RPM  
nor in the DEB package.

I would suggest to close this bug report if there are no new elements  
about the issue.
Regards
 Giorgio Tani




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#499376; Package wnpp. (Mon, 06 Oct 2008 23:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Daniel Moerner" <dmoerner@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Mon, 06 Oct 2008 23:21:05 GMT) Full text and rfc822 format available.

Message #20 received at 499376@bugs.debian.org (full text, mbox):

From: "Daniel Moerner" <dmoerner@gmail.com>
To: 499376@bugs.debian.org
Cc: giorgio.tani.software@gmail.com
Subject: Source?
Date: Mon, 6 Oct 2008 16:20:04 -0700
Hi,

As I said on forums.debian.net, I presume you don't want to close this
bug report, because if the Inform licensing is not an issue, then it
should be possible to get this into Debian proper.  Of course, alien
debs are not suitable for inclusion in the main archive, so it would
have to have a dedicated package.

The source was a bit hard to find, but since it's at
http://sourceforge.net/project/showfiles.php?group_id=178996&package_id=234639
I will see what can be done to create a proper package.

Thanks,
-- 
Daniel Moerner <dmoerner@gmail.com>




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#499376; Package wnpp. (Mon, 06 Oct 2008 23:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Daniel Moerner" <dmoerner@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Mon, 06 Oct 2008 23:33:03 GMT) Full text and rfc822 format available.

Message #25 received at 499376@bugs.debian.org (full text, mbox):

From: "Daniel Moerner" <dmoerner@gmail.com>
To: 499376@bugs.debian.org
Cc: giorgio.tani.software@gmail.com
Subject: Compiling
Date: Mon, 6 Oct 2008 16:31:50 -0700
Hi,

I didn't realize that this package required the Lazarus IDE running to
be compiled.  Since this is not possible with the buildd setup, and I
don't see any other documented way to compile the source, this would
require distributing the binaries, which is not in any way a preferred
way to distribute Debian packages when the source otherwise exists.
It is unfortunate that Lazarus seems to be monolithically preventing
the distribution of the source in a sane manner.

Are you sure this can't be compiled by hand with fpc?  Have you tried
this method?

-- 
Daniel Moerner <dmoerner@gmail.com>




Changed Bug title to `RFP: peazip -- file and archive manager' from `RFP: PeaZip -- file and archive manager'. Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Sun, 07 Dec 2008 06:51:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#499376; Package wnpp. (Fri, 14 Aug 2009 12:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Felipe Monteiro de Carvalho <felipemonteiro.carvalho@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Fri, 14 Aug 2009 12:15:03 GMT) Full text and rfc822 format available.

Message #32 received at 499376@bugs.debian.org (full text, mbox):

From: Felipe Monteiro de Carvalho <felipemonteiro.carvalho@gmail.com>
To: 499376@bugs.debian.org
Date: Fri, 14 Aug 2009 09:12:19 -0300
Any Lazarus software can be compiled without the IDE running. The IDE
just calls Free Pascal, which is the command line compiler. You can
check which options the IDE uses in the Compiler Options dialog. Here
is an example of a makefile for Lazarus software:

http://wiki.lazarus.freepascal.org/Deploying_Your_Application#Creating_a_Makefile_for_your_Lazarus_software

And could you explain the problem with lazarus preventing something?

-- 
Felipe Monteiro de Carvalho




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#499376; Package wnpp. (Fri, 14 Aug 2009 18:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Moerner <dmoerner@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Fri, 14 Aug 2009 18:06:03 GMT) Full text and rfc822 format available.

Message #37 received at 499376@bugs.debian.org (full text, mbox):

From: Daniel Moerner <dmoerner@gmail.com>
To: Felipe Monteiro de Carvalho <felipemonteiro.carvalho@gmail.com>, 499376@bugs.debian.org
Subject: Re: Bug#499376:
Date: Fri, 14 Aug 2009 11:04:24 -0700
[Message part 1 (text/plain, inline)]
On 08/14/2009 05:12 AM, Felipe Monteiro de Carvalho wrote:
> Any Lazarus software can be compiled without the IDE running. The IDE
> just calls Free Pascal, which is the command line compiler. You can
> check which options the IDE uses in the Compiler Options dialog. Here
> is an example of a makefile for Lazarus software:
> 
> http://wiki.lazarus.freepascal.org/Deploying_Your_Application#Creating_a_Makefile_for_your_Lazarus_software
> 
> And could you explain the problem with lazarus preventing something?
> 

The problem is not with Lazarus, per se. The reason why I backed away
from my interest in packaging it is because it's distributed as a
prebuilt binary by the author. The source is not posted on the
Sourceforge website, last I checked.

Daniel

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#499376; Package wnpp. (Fri, 14 Aug 2009 23:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Felipe Monteiro de Carvalho <felipemonteiro.carvalho@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Fri, 14 Aug 2009 23:48:06 GMT) Full text and rfc822 format available.

Message #42 received at 499376@bugs.debian.org (full text, mbox):

From: Felipe Monteiro de Carvalho <felipemonteiro.carvalho@gmail.com>
To: Daniel Moerner <dmoerner@gmail.com>
Cc: 499376@bugs.debian.org
Subject: Re: Bug#499376:
Date: Fri, 14 Aug 2009 20:44:50 -0300
I googled for "peazip", the first link is
http://peazip.sourceforge.net/index.html

Where I found a link to the source code in the end of the page.

http://downloads.sourceforge.net/peazip/peazip-2.6.3.src.zip

-- 
Felipe Monteiro de Carvalho




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#499376; Package wnpp. (Sat, 15 Aug 2009 00:06:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Moerner <dmoerner@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sat, 15 Aug 2009 00:06:09 GMT) Full text and rfc822 format available.

Message #47 received at 499376@bugs.debian.org (full text, mbox):

From: Daniel Moerner <dmoerner@gmail.com>
To: Felipe Monteiro de Carvalho <felipemonteiro.carvalho@gmail.com>
Cc: 499376@bugs.debian.org
Subject: Re: Bug#499376:
Date: Fri, 14 Aug 2009 17:03:40 -0700
[Message part 1 (text/plain, inline)]
On 08/14/2009 04:44 PM, Felipe Monteiro de Carvalho wrote:
> I googled for "peazip", the first link is
> http://peazip.sourceforge.net/index.html
> 
> Where I found a link to the source code in the end of the page.
> 
> http://downloads.sourceforge.net/peazip/peazip-2.6.3.src.zip
> 

Wonderful, I must have missed it when I looked earlier. Feel free to
package it.

Daniel

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#499376; Package wnpp. (Sat, 15 Aug 2009 00:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Felipe Monteiro de Carvalho <felipemonteiro.carvalho@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sat, 15 Aug 2009 00:09:02 GMT) Full text and rfc822 format available.

Message #52 received at 499376@bugs.debian.org (full text, mbox):

From: Felipe Monteiro de Carvalho <felipemonteiro.carvalho@gmail.com>
To: Daniel Moerner <dmoerner@gmail.com>
Cc: 499376@bugs.debian.org
Subject: Re: Bug#499376:
Date: Fri, 14 Aug 2009 21:07:34 -0300
I? I am not a Debian developer, I am a Lazarus developer.

I just joined the discussion because I saw that I could contribute an
answer to your message.

-- 
Felipe Monteiro de Carvalho




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#499376; Package wnpp. (Sat, 15 Aug 2009 00:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Moerner <dmoerner@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sat, 15 Aug 2009 00:15:03 GMT) Full text and rfc822 format available.

Message #57 received at 499376@bugs.debian.org (full text, mbox):

From: Daniel Moerner <dmoerner@gmail.com>
To: Felipe Monteiro de Carvalho <felipemonteiro.carvalho@gmail.com>
Cc: 499376@bugs.debian.org
Subject: Re: Bug#499376:
Date: Fri, 14 Aug 2009 17:12:43 -0700
[Message part 1 (text/plain, inline)]
On 08/14/2009 05:07 PM, Felipe Monteiro de Carvalho wrote:
> I? I am not a Debian developer, I am a Lazarus developer.
> 
> I just joined the discussion because I saw that I could contribute an
> answer to your message.
> 

Oh sorry, I misunderstood. I'm not interested in maintaining PeaZip
because I no longer use it, and especially in that situation I prefer
not to maintain software in languages I'm not decently familiar with.

Hopefully someone else will step up to package it.

Daniel

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#499376; Package wnpp. (Thu, 31 Dec 2009 21:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gabriele Giacone <1o5g4r8o@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Thu, 31 Dec 2009 21:48:03 GMT) Full text and rfc822 format available.

Message #62 received at 499376@bugs.debian.org (full text, mbox):

From: Gabriele Giacone <1o5g4r8o@gmail.com>
To: control@bugs.debian.org
Cc: 499376@bugs.debian.org
Subject: ITP
Date: Thu, 31 Dec 2009 22:46:11 +0100
retitle 499376 ITP: peazip -- file and archive manager
owner 499376 !
thanks

My intention to try to package it.

Cheers,
Gabriele





Changed Bug title to 'ITP: peazip -- file and archive manager' from 'RFP: peazip -- file and archive manager' Request was from Gabriele Giacone <1o5g4r8o@gmail.com> to control@bugs.debian.org. (Thu, 31 Dec 2009 21:48:05 GMT) Full text and rfc822 format available.

Owner recorded as Gabriele Giacone <1o5g4r8o@gmail.com>. Request was from Gabriele Giacone <1o5g4r8o@gmail.com> to control@bugs.debian.org. (Thu, 31 Dec 2009 21:48:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#499376; Package wnpp. (Fri, 01 Jan 2010 00:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gabriele Giacone <1o5g4r8o@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Fri, 01 Jan 2010 00:12:03 GMT) Full text and rfc822 format available.

Message #71 received at 499376@bugs.debian.org (full text, mbox):

From: Gabriele Giacone <1o5g4r8o@gmail.com>
To: control@bugs.debian.org
Cc: 499376@bugs.debian.org
Subject: RFP
Date: Fri, 01 Jan 2010 01:09:58 +0100
retitle 499376 RFP: peazip -- file and archive manager
noowner 499376
thanks


Trying to compile it on amd64, I get:
crc16.pas(168,24) Error: Asm: 16 or 32 Bit references not supported
crc16.pas(170,23) Error: Asm: 16 or 32 Bit references not supported
crc16.pas(174,38) Error: Asm: 16 or 32 Bit references not supported
crc16.pas(178,22) Error: Asm: 16 or 32 Bit references not supported

At the moment, it seems it could not be compiled on 64-bit systems [1][2]

I give up.


Cheers,
Gabriele

[1] http://www.kde-apps.org/usermanager/search.php?username=olelukoie&action=comments&PHPSESSID=e5af
[2] http://sourceforge.net/projects/peazip/forums/forum/714607/topic/1994582





Changed Bug title to 'RFP: peazip -- file and archive manager' from 'ITP: peazip -- file and archive manager' Request was from Gabriele Giacone <1o5g4r8o@gmail.com> to control@bugs.debian.org. (Fri, 01 Jan 2010 00:12:05 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Gabriele Giacone <1o5g4r8o@gmail.com>. Request was from Gabriele Giacone <1o5g4r8o@gmail.com> to control@bugs.debian.org. (Fri, 01 Jan 2010 00:12:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#499376; Package wnpp. (Fri, 26 Mar 2010 23:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "giorgio.tani.software Gmail" <giorgio.tani.software@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 26 Mar 2010 23:51:07 GMT) Full text and rfc822 format available.

Message #80 received at 499376@bugs.debian.org (full text, mbox):

From: "giorgio.tani.software Gmail" <giorgio.tani.software@gmail.com>
To: 499376@bugs.debian.org
Subject: Compilation of PeaZip
Date: Sat, 27 Mar 2010 00:49:25 +0100
I compile PeaZip with Lazarus/FPC on 32 bit Linux systems, because there  
is an unit in the crypto library I use which contains higly optimized ASM  
sections which unfortunately compiles successfully only with a 32 bit  
compiler - anyway, most of the backend binaries are available only in 32  
bit form (as for what I know) so PeaZip package would require anyway  
ia32-libs to work properly.

If you want to try a pure 64 bit compilation, I can recommend you to  
search for a pure Pascal replacements for the unit containing the  
incompatible ASM, http://home.netsurf.de/wolfgang.ehrhardt/index.html is  
the website (in German and English) where you can find all units of the  
author of the crypto library.

If you need to recompile also the backed executables in res path, there is  
a note for each with references for getting sources from respective  
authors (all is free software under the OSI definition), most are written  
in C.

Due to the frontend/backend architecture of PeaZip, it is fully modular,  
which means you can omit to provide any of the executable you want (in  
case i.e. of compilation problem), or replace any of them (i.e. with  
alternative version, or a 64 bit version if available) without  
compromising any other package's features not directly depending on that  
executable.

For the same reason, if you prefer, you can without problems avoid to put  
in the package the Rar29.so which was written by Igor Pavlov for 7-Zip and  
ported to *x by Myspace for p7zip project, which comes under LGPL with the  
additional unrar license limitation (of not reverse engineering the rar  
compression algorithm).
It is accepted as Free Software on SourceForge, which allows to publish  
only what its staff consider licensed under terms compatible with OSI  
definition of Free Software, but if you don't agree with SourceForge's  
decision you can freely remove it from PeaZip package with no other effect  
than dropping support for rar extraction.




Merged 442344 499376. Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Tue, 27 Sep 2011 15:45:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 12:53:30 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.